<?php
/**
 * 
 * Sample IPN Handler for Item Payments
 * 
 * The purpose of this code is to help you to understand how to process the Instant Payment Notification 
 * variables for a payment received through AlertPay's buttons and integrate it in your PHP site. The following
 * code will ONLY handle ITEM payments. For handling IPNs for SUBSCRIPTIONS, please refer to the appropriate
 * sample code file.
 *	
 * Put this code into the page which you have specified as Alert URL.
 * The variables being read from the $_POST object in the code below are pre-defined IPN variables and the
 * the conditional blocks provide you the logical placeholders to process the IPN variables. It is your responsibility
 * to write appropriate code as per your requirements.
 *	
 * If you have any questions about this script or any suggestions, please visit us at: dev.alertpay.com
 * 
 *
 * THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY
 * OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
 * LIMITED TO THE IMPLIED WARRANTIES OF FITNESS FOR A PARTICULAR PURPOSE.
 * 
 * @author AlertPay
 * @copyright 2010
 */
  include('./connect.php');
	//The value is the Security Code generated from the IPN section of your AlertPay account. Please change it to yours.
	define("IPN_SECURITY_CODE", "xxxx");
	define("MY_MERCHANT_EMAIL", "xxxxx");

	//Setting information about the transaction
	$receivedSecurityCode = $_POST['ap_securitycode'];
	$receivedMerchantEmailAddress = $_POST['ap_merchant'];	
	$transactionStatus = $_POST['ap_status'];
	$testModeStatus = $_POST['ap_test'];	 
	$purchaseType = $_POST['ap_purchasetype'];
	$totalAmountReceived = $_POST['ap_totalamount'];
	$feeAmount = $_POST['ap_feeamount'];
    $netAmount = $_POST['ap_netamount'];
	$transactionReferenceNumber = $_POST['ap_referencenumber'];
	$currency = $_POST['ap_currency']; 	
	$transactionDate= $_POST['ap_transactiondate'];
	$transactionType= $_POST['ap_transactiontype'];
	
	//Setting the customer's information from the IPN post variables
	$customerFirstName = $_POST['ap_custfirstname'];
	$customerLastName = $_POST['ap_custlastname'];
	$customerAddress = $_POST['ap_custaddress'];
	$customerCity = $_POST['ap_custcity'];
	$customerState = $_POST['ap_custstate'];
	$customerCountry = $_POST['ap_custcountry'];
	$customerZipCode = $_POST['ap_custzip'];
	$customerEmailAddress = $_POST['ap_custemailaddress'];
	
	//Setting information about the purchased item from the IPN post variables
	$myItemName = $_POST['ap_itemname'];
	$myItemCode = $_POST['ap_itemcode'];
	$myItemDescription = $_POST['ap_description'];
	$myItemQuantity = $_POST['ap_quantity'];
	$myItemAmount = $_POST['ap_amount'];
	
	//Setting extra information about the purchased item from the IPN post variables
	$additionalCharges = $_POST['ap_additionalcharges'];
	$shippingCharges = $_POST['ap_shippingcharges'];
	$taxAmount = $_POST['ap_taxamount'];
	$discountAmount = $_POST['ap_discountamount'];
	 
	//Setting your customs fields received from the IPN post variables
	$myCustomField_1 = $_POST['apc_1'];
	$myCustomField_2 = $_POST['apc_2'];
	$myCustomField_3 = $_POST['apc_3'];
	$myCustomField_4 = $_POST['apc_4'];
	$myCustomField_5 = $_POST['apc_5'];
	$myCustomField_6 = $_POST['apc_6'];

	if ($receivedMerchantEmailAddress != MY_MERCHANT_EMAIL) {
		// The data was not meant for the business profile under this email address.
		// Take appropriate action 
	}
	else {	
		//Check if the security code matches
		if ($receivedSecurityCode != IPN_SECURITY_CODE) {
			// The data is NOT sent by AlertPay.
			// Take appropriate action.
		}
		else {
			if ($transactionStatus == "Success") {
				if ($testModeStatus == "1") {
					// Since Test Mode is ON, no transaction reference number will be returned.
					// Your site is currently being integrated with AlertPay IPN for TESTING PURPOSES
					// ONLY. Don't store any information in your production database and 
					// DO NOT process this transaction as a real order.
				}
				else {





if($myItemCode == 'Rental Balance') {
$kkql= mysql_query("SELECT * FROM users WHERE username='$myItemName'");

				
					
				if(mysql_num_rows($kkql) == 0)
					{
					
					exit(); 
					} 

                                 mysql_query("UPDATE users SET rbalance=rbalance + $payment_amount WHERE username='$myItemName'");


 }


if($myItemCode == '1000mini') {

$kkql= mysql_query("SELECT * FROM users WHERE username='$myItemName'");

				
					
				if(mysql_num_rows($kkql) == 0)
					{
					
					exit(); 
					} 

                                 mysql_query("UPDATE users SET mini=mini + 1000 WHERE username='$myItemName'");


}

if($myItemCode == '2000mini') {

$kkql= mysql_query("SELECT * FROM users WHERE username='$myItemName'");

				
					
				if(mysql_num_rows($kkql) == 0)
					{
					
					exit(); 
					} 

                                 mysql_query("UPDATE users SET mini=mini + 2000 WHERE username='$myItemName'");


}

if($myItemCode == '5000mini') {

$kkql= mysql_query("SELECT * FROM users WHERE username='$myItemName'");

				
					
				if(mysql_num_rows($kkql) == 0)
					{
					
					exit(); 
					} 

                                 mysql_query("UPDATE users SET mini=mini + 5000 WHERE username='$myItemName'");


}

if($myItemCode == '10000mini') {

$kkql= mysql_query("SELECT * FROM users WHERE username='$myItemName'");

				
					
				if(mysql_num_rows($kkql) == 0)
					{
					
					exit(); 
					} 

                                 mysql_query("UPDATE users SET mini=mini + 10000 WHERE username='$myItemName'");


}


if($myItemCode == '1000standard') {

$kkql= mysql_query("SELECT * FROM users WHERE username='$myItemName'");

				
					
				if(mysql_num_rows($kkql) == 0)
					{
					
					exit(); 
					} 

                                 mysql_query("UPDATE users SET standard=standard + 1000 WHERE username='$myItemName'");


}

if($myItemCode == '2000standard') {

$kkql= mysql_query("SELECT * FROM users WHERE username='$myItemName'");

				
					
				if(mysql_num_rows($kkql) == 0)
					{
					
					exit(); 
					} 

                                 mysql_query("UPDATE users SET standard=standard + 2000 WHERE username='$myItemName'");


}

if($myItemCode == '5000standard') {

$kkql= mysql_query("SELECT * FROM users WHERE username='$myItemName'");

				
					
				if(mysql_num_rows($kkql) == 0)
					{
					
					exit(); 
					} 

                                 mysql_query("UPDATE users SET standard=standard + 5000 WHERE username='$myItemName'");


}

if($myItemCode == '10000standard') {

$kkql= mysql_query("SELECT * FROM users WHERE username='$myItemName'");

				
					
				if(mysql_num_rows($kkql) == 0)
					{
					
					exit(); 
					} 

                                 mysql_query("UPDATE users SET standard=standard + 10000 WHERE username='$myItemName'");


}



if($myItemCode == '1000extended') {

$kkql= mysql_query("SELECT * FROM users WHERE username='$myItemName'");

				
					
				if(mysql_num_rows($kkql) == 0)
					{
					
					exit(); 
					} 

                                 mysql_query("UPDATE users SET extended=extended + 1000 WHERE username='$myItemName'");


}

if($myItemCode == '2000extended') {

$kkql= mysql_query("SELECT * FROM users WHERE username='$myItemName'");

				
					
				if(mysql_num_rows($kkql) == 0)
					{
					
					exit(); 
					} 

                                 mysql_query("UPDATE users SET extended=extended + 2000 WHERE username='$myItemName'");


}

if($myItemCode == '5000extended') {

$kkql= mysql_query("SELECT * FROM users WHERE username='$myItemName'");

				
					
				if(mysql_num_rows($kkql) == 0)
					{
					
					exit(); 
					} 

                                 mysql_query("UPDATE users SET extended=extended + 5000 WHERE username='$myItemName'");


}

if($myItemCode == '10000extended') {

$kkql= mysql_query("SELECT * FROM users WHERE username='$myItemName'");

				
					
				if(mysql_num_rows($kkql) == 0)
					{
					
					exit(); 
					} 

                                 mysql_query("UPDATE users SET extended=extended + 10000 WHERE username='$myItemName'");


}


if($myItemCode == '1fixed') {

$kkql= mysql_query("SELECT * FROM users WHERE username='$myItemName'");

				
					
				if(mysql_num_rows($kkql) == 0)
					{
					
					exit(); 
					} 

                                 mysql_query("UPDATE users SET fixed=fixed + 1 WHERE username='$myItemName'");


}

if($myItemCode == '2fixed') {

$kkql= mysql_query("SELECT * FROM users WHERE username='$myItemName'");

				
					
				if(mysql_num_rows($kkql) == 0)
					{
					
					exit(); 
					} 

                                 mysql_query("UPDATE users SET fixed=fixed + 2 WHERE username='$myItemName'");


}

if($myItemCode == '5fixed') {

$kkql= mysql_query("SELECT * FROM users WHERE username='$myItemName'");

				
					
				if(mysql_num_rows($kkql) == 0)
					{
					
					exit(); 
					} 

                                 mysql_query("UPDATE users SET fixed=fixed + 5 WHERE username='$myItemName'");


}

if($myItemCode == '10fixed') {

$kkql= mysql_query("SELECT * FROM users WHERE username='$myItemName'");

				
					
				if(mysql_num_rows($kkql) == 0)
					{
					
					exit(); 
					} 

                                 mysql_query("UPDATE users SET fixed=fixed + 10 WHERE username='$myItemName'");


}
				}			
			}
			else {
					// Transaction was cancelled or an incorrect status was returned.
					// Take appropriate action.
			}
		}
	}
?>